Ubuntu 12.04 - no sound with VT8237A/VT8251

Bug #1033299 reported by FichdlMaa on 2012-08-05
70
This bug affects 12 people
Affects Status Importance Assigned to Milestone
ALSA driver
New
Undecided
Unassigned
alsa-driver (Ubuntu)
Undecided
Unassigned
alsa-driver-1.0.25-dkms (Ubuntu)
Undecided
Unassigned

Bug Description

(3.2.0-27-generic #43-Ubuntu SMP Fri Jul 6 14:25:57 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux)
[ 0.000000] DMI: Foxconn OEM/K8M890-8237A, BIOS 6.00 PG 02/10/2007

      !!! Same hardware base had full function with 10.04 LTS inclusive 10.04.3 !!!

see also: https://answers.launchpad.net/ubuntu/+source/alsa-driver/+question/198785

Sound chip recognized ...

   80:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller (rev 10)

... but no driver installed => no sound :-(

Output of lspci:

00:00.0 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.5 PIC: VIA Technologies, Inc. K8M890CE I/O APIC Interrupt Controller
00:00.7 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237/8251 PCI bridge [K8M890/K8T800/K8T890 South]
00:02.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:0f.0 IDE interface: VIA Technologies, Inc. Device 5337 (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 07)
00:10.0 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.1 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.2 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.3 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.4 USB controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237A PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. VT8237/8251 Ultra VLINK Controller
00:13.0 Host bridge: VIA Technologies, Inc. VT8237A Host Bridge
00:13.1 PCI bridge: VIA Technologies, Inc. VT8237A PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV710 [Radeon HD 4350]
02:00.1 Audio device: Advanced Micro Devices [AMD] nee ATI RV710/730 HDMI Audio [Radeon HD 4000 series]
04:04.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
04:07.0 SCSI storage controller: Adaptec AIC-7861 (rev 03)
80:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller (rev 10) <--- !!!

Output of dmesg | grep sound:

[ 39.637127] input: HDA ATI HDMI HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:02.0/0000:02:00.1/sound/card0/input6
[ 39.639261] Modules linked in: snd_hda_codec_hdmi snd_hda_intel(+) snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event joydev snd_seq snd_timer psmouse serio_raw snd_seq_device edac_core edac_mce_amd i2c_viapro snd k8temp soundcore snd_page_alloc shpchp mac_hid lp parport btrfs zlib_deflate libcrc32c radeon ttm 8139too drm_kms_helper usbhid hid aic7xxx drm 8139cp sata_via pata_via i2c_algo_bit floppy

-> ??? the Radeon graphics card has got NO HDMI (only VGA, DVI and composite)
-> only sound device is the onboard chip
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: HDMI [HDA ATI HDMI], device 3: HDMI 0 [HDMI 0]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 2.0.1-0ubuntu11
Architecture: amd64
ArecordDevices: **** List of CAPTURE Hardware Devices ****
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: maico 2609 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'HDMI'/'HDA ATI HDMI at 0xdfdfc000 irq 25'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 6
   Simple ctrls : 1
Card0.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 12.04
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
Package: alsa-driver (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.2.0-27.43-generic 3.2.21
Tags: precise running-unity
Uname: Linux 3.2.0-27-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip gemeinde kinder lpadmin nalasu plugdev sambashare stocks sudo vboxusers
dmi.bios.date: 02/10/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: K8M890-8237A
dmi.board.vendor: Foxconn
dmi.chassis.type: 3
dmi.chassis.vendor: OEM
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd02/10/2007:svnFoxconn:pnOEM:pvr:rvnFoxconn:rnK8M890-8237A:rvr:cvnOEM:ct3:cvr:
dmi.product.name: OEM
dmi.sys.vendor: Foxconn

FichdlMaa (fichdlmaa) on 2012-08-05
tags: added: sound

Please run the following command to collect audio information:
apport-collect 1033299

apport information

tags: added: apport-collected precise running-unity
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

FichdlMaa (fichdlmaa) wrote :

Hello Dave,

1. I have run the script on https://wiki.ubuntu.com/Audio/AlsaInfo as mentioned by you in the questions section #198785.
Afterwards I sent the result to Alsa Project; a copy is attached here.

2. I started above apport-collect script and gave access to my launchpad account. Didn't know that this would generate a second bug report for als project. Hope this doesn't confuse the als team ;-)

Bye

The FichdlMaa

FichdlMaa (fichdlmaa) wrote :

Oh. Fine. 1. went to Alsa Project, 2. auto-generated above attchment postings :-)

Raymond (superquad-vortex2) wrote :
Download full text (3.8 KiB)

you better report this bug to alsa-devel mailing list

[ 36.301296] snd_hda_intel 0000:02:00.1: PCI INT B -> GSI 25 (level, low) -> IRQ 25
[ 36.301355] snd_hda_intel 0000:02:00.1: setting latency timer to 64
[ 36.301368] snd_hda_intel 0000:02:00.1: PCI: Disallowing DAC for device
[ 36.359184] HDMI status: Codec=0 Pin=3 Presence_Detect=0 ELD_Valid=0
[ 36.359292] input: HDA ATI HDMI HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:02.0/0000:02:00.1/sound/card0/input6
[ 36.361182] snd_hda_intel 0000:80:01.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 36.361223] snd_hda_intel 0000:80:01.0: setting latency timer to 64
[ 36.361239] BUG: unable to handle kernel paging request at ffffc90000378000
[ 36.361362] IP: [<ffffffffa0345f63>] azx_create+0x37c/0x822 [snd_hda_intel]
[ 36.361488] PGD 7d01a067 PUD 7d01b067 PMD 7be1f067 PTE 800000fd00000173
[ 36.361605] Oops: 0009 [#1] SMP
[ 36.361663] CPU 0
[ 36.361697] Modules linked in: snd_hda_codec_hdmi snd_hda_intel(+) snd_hda_codec snd_hwdep snd_pcm snd_seq_midi joydev snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd edac_core soundcore snd_page_alloc edac_mce_amd i2c_viapro k8temp psmouse serio_raw shpchp mac_hid lp parport btrfs zlib_deflate libcrc32c radeon ttm drm_kms_helper 8139too usbhid hid drm aic7xxx 8139cp sata_via pata_via i2c_algo_bit floppy
[ 36.362424]
[ 36.362451] Pid: 903, comm: work_for_cpu Not tainted 3.2.0-27-generic #43-Ubuntu Foxconn OEM/K8M890-8237A
[ 36.362619] RIP: 0010:[<ffffffffa0345f63>] [<ffffffffa0345f63>] azx_create+0x37c/0x822 [snd_hda_intel]
[ 36.362782] RSP: 0018:ffff88007756de00 EFLAGS: 00010286
[ 36.362872] RAX: ffffc90000378000 RBX: ffff88007756de68 RCX: 00000000fffffffa
[ 36.362992] RDX: 0000000000000016 RSI: 0000000000000282 RDI: 0000000000000282
[ 36.363112] RBP: ffff88007756de50 R08: ffff88003691d000 R09: ffff88007cc000a0
[ 36.363232] R10: ffff88007a761000 R11: 0000000000000000 R12: ffff88007b974000
[ 36.363351] R13: ffff88007a760400 R14: 0000000000000000 R15: 0000000000000001
[ 36.363472] FS: 00007f362b42b700(0000) GS:ffff88007fc00000(0000) knlGS:0000000000000000
[ 36.363609] CS: 0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 36.363706] CR2: ffffc90000378000 CR3: 0000000077b29000 CR4: 00000000000006f0
[ 36.363825] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 36.363945] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 36.364011] Process work_for_cpu (pid: 903, threadinfo ffff88007756c000, task ffff88007755ade0)
[ 36.364011] Stack:
[ 36.364011] ffff88007756de50 ffffffffa02e836d ffff880000000000 ffff88007a761000
[ 36.364011] 0000000000000282 ffff88007b974000 ffffffffa0348040 ffff88007b974090
[ 36.364011] 0000000000000000 0000000000000000 ffff88007756de90 ffffffffa03466cf
[ 36.364011] Call Trace:
[ 36.364011] [<ffffffffa02e836d>] ? snd_card_create+0x1ad/0x3a0 [snd]
[ 36.364011] [<ffffffffa03466cf>] azx_probe+0xab/0x25e [snd_hda_intel]
[ 36.364011] [<ffffffff81334a2c>] local_pci_probe+0x5c/0xd0
[ 36.364011] [<ffffffff81082400>] ? wake_up_worker+0x30/0x30
[ 36.364011] [<ffffffff81082418...

Read more...

FichdlMaa (fichdlmaa) wrote :

This bug is still present in kernel 3.2.0-30. NO SOUND!

I tried workaround mentioned by Anish Asokan (asokan-anish) [wrote on 2011-04-30: ]
   GRUB_CMDLINE_LINUX_DEFAULT="quiet splash pci=use_crs"
    -> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/662299
          see also https://bugzilla.kernel.org/show_bug.cgi?id=16921#c5

but no success: "Dummy Ausgabe" in Volume Contol;

aplay -l still reports "aplay: device_list:252: keine Soundkarten gefunden ..."

!!! Same hardware base has full functionality with 10.04 LTS inclusive 10.04.4 !!!

FichdlMaa (fichdlmaa) wrote :

removed ATI Radeon card and switched to onboard vga, but same result: no sound:
aplay -l still reports "aplay: device_list:252: keine Soundkarten gefunden ..."

reinstalled ATI card (as before without closed source ATI drivers); no sound, but
the same when starting this bug report:

aplay -l
**** Liste der Hardware-Geräte (PLAYBACK) ****
Karte 0: HDMI [HDA ATI HDMI], Gerät 3: HDMI 0 [HDMI 0]
  Sub-Geräte: 1/1
  Sub-Gerät #0: subdevice #0

-> ??? the Radeon graphics card has got NO HDMI (only VGA, DVI and composite)
-> only sound device is the onboard chip "Azalia HDA Controller"

Still no sound :-(
... but not a Ubuntu or Debian Problem: It's ALSA or the Kernel itself.
Same Problem with Live CDs of Ubuntu based Mint 13, but not Ubuntu based Magaeia 2 too.

Any suggestion?
- 10.04 'til security support ends? And afterwards?
- External sound card (empty PCI Slot available; onboard Sound could be switched off)?

I am really frustrated...

The FichdlMaa

Raymond (superquad-vortex2) wrote :

it is oops , you have to report this bug to alsa developer or file a bug report at kernel.org

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
dkotrada (dkotrada) wrote :

Sound works in my wifes account. But when I login into mine it doesn't work.

waterbong (waterbong) wrote :

Sound doesn't work in my laptop too. It's an old one with VT8237A/VT8251 HDA Controller. Just installed Lubuntu 12.04 and i'm affected by the same problem. Kernel was 3.2.0-33, i tried to upgrade it to -34 but the bug is still present. No sound at all, even connecting external speakers...

Raymond (superquad-vortex2) wrote :

02:01.0 Audio device [0403]: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller [1106:3288] (rev 10)
 Subsystem: Foxconn International, Inc. Device [105b:0cf4]

http://git.kernel.org/?p=linux/kernel/git/tiwai/sound.git;a=commit;h=4f8b6c7dc80ac9619db033c7f6fc355eab9514f5

FichdlMaa (fichdlmaa) wrote :

Still no solution for this bug?

As a workaround I deactivated onboard sound after I installed an old soundblaster pci card.
Works fine, but I need *this* PCI slot for other purposes!
Let me know, when it's time to free this slot for its real destiny ;-)

Tnx from
The FichdlMaa

Raymond (superquad-vortex2) wrote :

you need to send email to kernel mailing

[ 0.143205] pci 0000:80:01.0: [1106:3288] type 0 class 0x000403
[ 0.143223] pci 0000:80:01.0: reg 10: [mem 0xbfffc000-0xbfffffff 64bit]
[ 0.143290] pci 0000:80:01.0: PME# supported from D0 D3hot D3cold
[ 0.143294] pci 0000:80:01.0: PME# disabled

I had sound, and it was choppy. I had issues with my Vcard, and once I got those squared away some what I lost sound in the process.

$ lspci
00:00.0 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.5 PIC: VIA Technologies, Inc. K8M890CE I/O APIC Interrupt Controller
00:00.7 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237/8251 PCI bridge [K8M890/K8T800/K8T890 South]
00:02.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:0f.0 IDE interface: VIA Technologies, Inc. VT8237/8251 Serial ATA Controller
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 07)
00:10.0 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev b0)
00:10.1 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev b0)
00:10.2 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev b0)
00:10.3 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev b0)
00:10.4 USB controller: VIA Technologies, Inc. USB 2.0 (rev 90)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237S PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. VT8237/8251 Ultra VLINK Controller
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 7c)
00:13.0 Host bridge: VIA Technologies, Inc. VT8237A Host Bridge
00:13.1 PCI bridge: VIA Technologies, Inc. VT8237A PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: VIA Technologies, Inc. K8M890CE/K8N890CE [Chrome 9] (rev 11)
04:07.0 Network controller: Ralink corp. RT2561/RT61 802.11g PCI
20:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller (rev 10)

Thiago (thdoss) wrote :

The sound plate concerned is unstable. At certain times it works and some do not, and restart the operating system or run the command "sudo alsa force-reload" to return the sound as before. This bug for this audio card is inconvenient this earlier versions of ubuntu. What to do? Thankful now.

Raymond (superquad-vortex2) wrote :

80:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller (rev 10) <--- !!!

20:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller (rev 10)

did you boot with pci=crs or pci=nocrs?

Thiago (thdoss) wrote :

"80:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller (rev 10)"

On board card. I did not understand very well your question.

Raymond (superquad-vortex2) wrote :

please post the output of alsa-info.sh when it is working and not working

diff -u working-info.txt and nonworking-info.txt

Thiago (thdoss) wrote :

Follow generated file via alsa-info.sh with the sound working and not having sound.

Thiago (thdoss) wrote :

Second file generated by alsa-info.sh "sound working."

Raymond (superquad-vortex2) wrote :

did you get sound working without TV card ?

[ 14.363029] saa7134[0]: registered device radio0
[ 14.576180] saa7134 ALSA driver for DMA sound loaded
[ 14.576405] saa7134[0]/alsa: saa7134[0] at 0xdfaff000 irq 18 registered as card -2

http://git.kernel.org/?p=linux/kernel/git/tiwai/sound.git;a=blob;f=Documentation/sound/alsa/HD-Audio.txt;hb=HEAD

you may need to ask the expert in always devel mailing list for the following messages

[ 14.646548] snd_hda_intel 0000:80:01.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 14.646612] snd_hda_intel 0000:80:01.0: setting latency timer to 64
[ 14.646617] snd_hda_intel 0000:80:01.0: PCI: Disallowing DAC for device
[ 14.687642] type=1400 audit(1359665993.039:7): apparmor="STATUS" operation="profile_load" name="/usr/lib/lightdm/lightdm/lightdm-guest-session-wrapper" pid=927 comm="apparmor_parser"
--
[ 14.733105] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 14.758922] hda_codec: invalid CONNECT_LIST verb 1f[4]:0
[ 14.759021] hda_codec: invalid CONNECT_LIST verb 17[2]:0
[ 14.759057] hda_codec: invalid CONNECT_LIST verb 20[2]:0
[ 14.759102] hda_codec: invalid CONNECT_LIST verb 15[2]:0
[ 14.759146] hda_codec: invalid CONNECT_LIST verb 27[3]:0
[ 14.759230] hda_codec: invalid CONNECT_LIST verb 25[3]:0
[ 14.759265] hda_codec: invalid CONNECT_LIST verb 16[3]:0
[ 14.759313] hda_codec: formats == 0 (nid=0x15, val=0x400101, ovrd=1, streams=0x400101)
[ 14.759317] hda_codec: cannot attach PCM stream 0 for codec #0
[ 14.759681] hda-intel: spurious response 0x22140f0:0x0, last cmd=0x26f000c
[ 14.759701] hda-intel: spurious response 0x40:0x0, last cmd=0x26f000c
[ 14.759723] hda-intel: spurious response 0x2a190f0:0x0, last cmd=0x26f000c
[ 14.759744] hda-intel: spurious response 0x0:0x0, last cmd=0x26f000c
[ 14.759764] hda-intel: spurious response 0x410160f1:0x0, last cmd=0x26f000c

Thiago (thdoss) wrote :

Without the card tv situation is the same: sound works in some situations and not in others works.

Thiago (thdoss) wrote :

I added the PPA "ppa: ubuntu-audio-dev/ppa" and updated. Nothing resolved. I added "pci = use_crs" setup Grub. Nothing resolved. Kernel 3.2.0-37-generic-pae and Alsa v1.0.25.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver-1.0.25-dkms (Ubuntu):
status: New → Confirmed
FichdlMaa (fichdlmaa) wrote :

Yeah! Status changed from reported to confirmed only *six* month later.

Beg your pardon for my sarcasm. - I know - Shuttleworth is the only real financial winner..
Your/Our work is free and without any fee. *** Many Tnx for it! ***

The FichdlMaa

via Linux Mint Debian Edition instead of Ubuntu ...

Robert Kiesel (robert-kiesel) wrote :

still present in ubuntu 13.04 with Kernel 3.8. Still alsa 1.0.25
Headphones are working, but not the integrated Speaker of my Laptop.
Only Workaround is to install Kernel 3.0...
Would be cool if there is at least a better workaround with a newer Kernel.

thx

Norbert Schulze (n-schulze) wrote :

... the bug is also in lubuntu 13.04

my favorite fix:

sudo leafpad /etc/modprobe.d/alsa-base.conf
... and added this line to the bottom of the file:
options snd_hda_intel index=1
... then reboot

From: http://www.lubuntutips.com/2012/05/lubuntu-sound-on-msi-x370.html

or

sudo apt-get install pulseaudio

This bug is still present on Ubuntu 12.04 and on 3.2.0-4-686 kernel in Crunchbang (Ubuntu-Debian based) regarding the HP Mini 2133. (motherboad HP 3030 KBC Version 07.17)

Raymond (superquad-vortex2) wrote :

0.143205] pci 0000:80:01.0: [1106:3288] type 0 class 0x000403
[ 0.143223] pci 0000:80:01.0: reg 10: [mem 0xbfffc000-0xbfffffff 64bit]
[ 0.143290] pci 0000:80:01.0: PME# supported from D0 D3hot D3cold
[ 0.143294] pci 0000:80:01.0: PME# disabled

[ 0.143531] pci0000:80: Unable to request _OSC control (_OSC support mask: 0x0f)

[ 0.153137] pci 0000:00:00.0: address space collision: [mem 0xd0000000-0xd7ffffff pref] conflicts with GART [mem 0xd0000000-0xd7ffffff]
[ 0.153199] pci 0000:80:01.0: address space collision: [mem 0xbfffc000-0xbfffffff 64bit] conflicts with PCI Bus #00 [mem 0x80000000-0xfcffffffff]

80:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA Controller (rev 10)

Changed in alsa-driver (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Iron Bishop (ironbishop) wrote :

I still have this on Ubuntu 14.04 LTS, kernel 3.13.0-24 generic (32 bit).

Releases where this audio work are beyond EOL by now.

Bjorn Helgaas (bjorn-helgaas) wrote :

I see two problems in the initial report from FichdlMaa:

1) Linux ignores ACPI _CRS information and consequently assigns addresses to the 80:01.0 device that may not work.
2) The page fault: "BUG: unable to handle kernel paging request at ffffc90000378000"

Booting with "pci=use_crs" should work around the first problem. This is only a workaround, not a real fix because we don't expect users to have to use that option.

If "pci=use_crs" makes a difference, and if it still fixes a problem in the current upstream kernel (v4.0-rcX), please open a bug report at http://bugzilla.kernel.org (in drivers/pci category), attaching a complete dmesg log, and we can add a quirk to turn on that option automatically.

I don't have a theory about the page fault problem.

Details about the _CRS problem:

    bus: 00 index 2 [mem 0x80000000-0xfcffffffff]

The range above is from amd_bus.c. Note that it covers the mem windows for both PCI0 and PCI1 below.

    PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
    ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-7f])
    pci_root PNP0A08:00: host bridge window [mem 0x80000000-0xbfefffff] (ignored)
    pci_root PNP0A08:00: host bridge window [mem 0xc0000000-0xdfffffff] (ignored)
    pci_root PNP0A08:00: host bridge window [mem 0xf0000000-0xfebfffff] (ignored)
    ACPI: PCI Root Bridge [PCI1] (domain 0000 [bus 80-ff])
    pci_root PNP0A08:01: host bridge window [mem 0x000a0000-0x000bffff] (ignored)
    pci_root PNP0A08:01: host bridge window [mem 0xbff00000-0xbfffffff] (ignored)
    pci 0000:80:01.0: [1106:3288] type 0 class 0x000403
    pci 0000:80:01.0: reg 10: [mem 0xbfffc000-0xbfffffff 64bit]

The initial configuration from BIOS (above) looks correct. The 80:01.0 BAR 0 is inside the PCI1 host bridge window reported by ACPI _CRS.

    pci 0000:80:01.0: address space collision: [mem 0xbfffc000-0xbfffffff 64bit] conflicts with PCI Bus #00 [mem 0x80000000-0xfcffffffff]
    pci 0000:80:01.0: BAR 0: assigned [mem 0xfd00000000-0xfd00003fff 64bit]

But we're ignoring _CRS and using the information from amd_bus.c, so we think there's a conflict with the PCI0 window. We reassign 80:01.0 to an address that is under PCI0, not PCI1. If the ACPI _CRS description is correct, this means MMIO accesses intended for 80:01.0 will never reach the device.

Bjorn Helgaas (bjorn-helgaas) wrote :

FichdlMaa, you said in comment #12 that "pcie=use_crs" didn't make a difference. Can you attach a complete dmesg log with "pci=use_crs"? I think it should make some difference (it should change the address assigned to the 80:01.0 sound device), but that may not be enough to fix the whole problem.

Thanks!

Bjorn Helgaas (bjorn-helgaas) wrote :

In comment #40, I mistakenly said "we reassign 80:01.0 to an address that is under PCI0, not PCI1." I had misread the address 0xfd00000000 as 0xfd000000, but it is actually 0xfd_0000_0000, which is just after the [mem 0x80000000-0xfcffffffff] range from amd_bus.c, and is not in any of the apertures of either PCI host bridge.

I also mis-typed the boot option in comment #41. The workaround should be "pci=use_crs" (not "pcie=use_crs").

I'm planning to merge this patch, which should fix the problem:

  http://<email address hidden>

If all goes well, this will appear in v4.2-rc1.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.